diff --git a/lib/baz_rtl_source_c.cc b/lib/baz_rtl_source_c.cc
index 1e29b79..629019c 100644
--- a/lib/baz_rtl_source_c.cc
+++ b/lib/baz_rtl_source_c.cc
@@ -311,6 +311,10 @@ retry_notify:
 #define NOXON_VID	0x0ccd
 #define NOXON_PID	0x00b3
 
+/* Dexatek Technology Ltd. DK DVB-T Dongle */
+#define DEXATEK_VID	0x1d19
+#define DEXATEK_PID	0x1101
+
 #define CTRL_IN		(LIBUSB_REQUEST_TYPE_VENDOR | LIBUSB_ENDPOINT_IN)
 #define CTRL_OUT	(LIBUSB_REQUEST_TYPE_VENDOR | LIBUSB_ENDPOINT_OUT)
 
@@ -386,6 +390,15 @@ int baz_rtl_source_c::find_device()
 		goto found_device;
 	}
 
+	devh = libusb_open_device_with_vid_pid(NULL, DEXATEK_VID, DEXATEK_PID);
+	if (devh > 0) {
+		tuner_type = TUNER_FC0013;
+		m_gain_limits[0] = -6.3;
+		m_gain_limits[1] = 19.7;
+		fprintf(stderr, "Found Dexatek Technology stick with FC0013 tuner\n");
+		goto found_device;
+	}
+
 	return -EIO;
 found_device:
   if (tuner_type == TUNER_E4000)
@@ -952,7 +965,7 @@ bool baz_rtl_source_c::set_frequency(/*double*/float dFreq)
 		}
 		break;
 	case TUNER_FC0013:
-		if (FC0013_SetFrequency(this, (unsigned long)(dFreq/1000.0), 8) != 0)
+		if (!FC0013_SetFrequency(this, (unsigned long)(dFreq/1000.0), 8))
 		{
 			goto freq_failure;
 		}
